'\" t
.\"     Title: vipw
.\"    Author: Marek Micha\(/lkiewicz
.\" Generator: DocBook XSL Stylesheets vsnapshot <http://docbook.sf.net/>
.\"      Date: 22/08/2022
.\"    Manual: Comandi per la gestione del sistema
.\"    Source: shadow-utils 4.12.3
.\"  Language: Italian
.\"
.TH "VIPW" "8" "22/08/2022" "shadow\-utils 4\&.12\&.3" "Comandi per la gestione del si"
.\" -----------------------------------------------------------------
.\" * Define some portability stuff
.\" -----------------------------------------------------------------
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.\" http://bugs.debian.org/507673
.\" http://lists.gnu.org/archive/html/groff/2009-02/msg00013.html
.\" ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
.ie \n(.g .ds Aq \(aq
.el       .ds Aq '
.\" -----------------------------------------------------------------
.\" * set default formatting
.\" -----------------------------------------------------------------
.\" disable hyphenation
.nh
.\" disable justification (adjust text to left margin only)
.ad l
.\" -----------------------------------------------------------------
.\" * MAIN CONTENT STARTS HERE *
.\" -----------------------------------------------------------------
.SH "NOME"
vipw, vigr \- modifica i file delle password, dei gruppi, delle password shadow o dei gruppi shadow
.SH "SINOSSI"
.HP \w'\fBvipw\fR\ 'u
\fBvipw\fR [\fIopzioni\fR]
.HP \w'\fBvigr\fR\ 'u
\fBvigr\fR [\fIopzioni\fR]
.SH "DESCRIZIONE"
.PP
The
\fBvipw\fR
and
\fBvigr\fR
commands edits the files
/etc/passwd
and
/etc/group, respectively\&. With the
\fB\-s\fR
flag, they will edit the shadow versions of those files,
/etc/shadow
and
/etc/gshadow, respectively\&. The programs will set the appropriate locks to prevent file corruption\&. When looking for an editor, the programs will first try the environment variable
\fB$VISUAL\fR, then the environment variable
\fB$EDITOR\fR, and finally the default editor,
\fBvi\fR(1)\&.
.SH "OPZIONI"
.PP
The options which apply to the
\fBvipw\fR
and
\fBvigr\fR
commands are:
.PP
\fB\-g\fR, \fB\-\-group\fR
.RS 4
Modifica del database \(Fogroup\(Fc\&.
.RE
.PP
\fB\-h\fR, \fB\-\-help\fR
.RS 4
Mostra un messaggio di aiuto ed esce\&.
.RE
.PP
\fB\-p\fR, \fB\-\-passwd\fR
.RS 4
Modifica del database \(Fopasswd\(Fc\&.
.RE
.PP
\fB\-q\fR, \fB\-\-quiet\fR
.RS 4
Modalit\(`a silenziosa\&.
.RE
.PP
\fB\-R\fR, \fB\-\-root\fR\ \&\fICHROOT_DIR\fR
.RS 4
Apply changes in the
\fICHROOT_DIR\fR
directory and use the configuration files from the
\fICHROOT_DIR\fR
directory\&. Only absolute paths are supported\&.
.RE
.PP
\fB\-s\fR, \fB\-\-shadow\fR
.RS 4
Modifica del database \(Foshadow\(Fc o \(Fogshadow\(Fc
.RE
.SH "VARIABILI D\*(AQAMBIENTE"
.PP
\fBVISUAL\fR
.RS 4
Editor da utilizzare\&.
.RE
.PP
\fBEDITOR\fR
.RS 4
Editor to be used if
\fBVISUAL\fR
is not set\&.
.RE
.SH "FILE"
.PP
/etc/group
.RS 4
Informazioni sugli account di gruppo\&.
.RE
.PP
/etc/gshadow
.RS 4
Informazioni sicure sugli account di gruppo\&.
.RE
.PP
/etc/passwd
.RS 4
Informazioni sugli account utente\&.
.RE
.PP
/etc/shadow
.RS 4
Informazioni sicure sugli account utente\&.
.RE
.SH "VEDERE ANCHE"
.PP
\fBvi\fR(1),
\fBgroup\fR(5),
\fBgshadow\fR(5)
,
\fBpasswd\fR(5), ,
\fBshadow\fR(5)\&.
